DHCRELAY(8)

NAME
dhcrelay - Dynamic Host Configuration Protocol (DHCP) relay agent

SYNOPSIS
dhcrelay [-dor] [-C circuit-id] [-R remote-id] -i interface destination ...

DESCRIPTION
The dhcrelay utility provides a means for relaying DHCP and BOOTP requests from a subnet to which no DHCP server is directly connected to one or more DHCP servers on other subnets.

dhcrelay listens for DHCP requests on a given interface. When a query is received, dhcrelay forwards it to the list of DHCP destinations specified on the command line. When a reply is received, it is broadcast or unicast on the network from whence the original request came.

The server might be a name, address or interface. dhcrelay will operate in layer 2 mode when the specified servers are interfaces, otherwise it will operate in layer 3 mode.

The name of at least one DHCP server to which DHCP and BOOTP requests should be relayed, as well as the name of the network interface that dhcrelay should attempt to configure, must be specified on the command line.

dhcrelay supports relaying of DHCP traffic to configure IPsec tunnel mode clients when listening on the enc(4) interface using layer 3 mode only. The DHCP server has to support RFC 3046 to echo back the relay agent information to allow stateless DHCP reply to IPsec tunnel mapping.

The options are as follows:

-C circuit-id
    The circuit-id relay agent information sub-option value that dhcrelay should append on relayed packets. If this option is not specified, it will use the interface number by default.

-d  Do not daemonize. If this option is specified, dhcrelay will run in the foreground and log to stderr.

-i interface
    The name of the network interface that dhcrelay should attempt to configure. For layer 3 mode at least one IPv4 address has to be configured on this interface.

-o  Add the relay agent information option. By default, this is only enabled for the enc(4) interface.

-R remote-id
    The remote-id relay agent information sub-option value that dhcrelay should append on relayed packets. If this option is not specified, it will use the destination address by default.

-r  Replace incoming Relay Agent Information with the one configured.

SEE ALSO
dhcpd(8), dhcpleased(8)

STANDARDS
R. Droms, March 1997, RFC 2131, Dynamic Host Configuration Protocol.

S. Alexander, R. Droms, March 1997, RFC 2132, DHCP Options and BOOTP Vendor Extensions.

M. Patrick, January 2001, RFC 3046, DHCP Relay Agent Information Option.

B. Patel, B. Aboba, S. Kelly, V. Gupta, January 2003, RFC 3456, Dynamic Host Configuration Protocol (DHCPv4) Configuration of IPsec Tunnel Mode.

AUTHORS
-nosplit dhcrelay was written by Ted Lemon <mellon@fugue.com>.

The current implementation was reworked by Henning Brauer <henning@openbsd.org>.

BUGS
Relayed DHCP traffic could actually safely be protected by IPsec but, like dhcpd(8) and dhcpleased(8), dhcrelay will bypass IPsec for all its traffic.